Driver NVIDIA et Canon !!

9 replies [Last post]
Mark
Offline
Joined: 04/14/2012

Bonjour !

Je viens d'installer Trisquel 5.5 sur mon ordinateur fixe dans l'un des disques durs. C'est énorme car il est tellement plus rapide que sur mon ordinateur portable !!! =D

J'ai cependant deux petits soucis, ma carte graphique, une NVIDIA FX 5600 n'est pas reconnue car il n'y a pas de driver installé.
Mon imprimante une Canon MP140 également.

Comment puis-je installer des drivers (libre de préférence) pour exploiter mes ressources ?

Merci de votre aide.
Mark.

Magic Banana

I am a member!

Online
Joined: 07/24/2010

Si tu as un affichage graphique, alors il y a bien un pilote graphique qui te le permet. Je suppose que tu veux parler de l'accélération 3D. Pour savoir quel pilote est chargé tu peux lire /var/log/Xorg.0.log. Dans mon cas, il s'agit du pilote intel:
[ 17.626] (II) Module intel: vendor="X.Org Foundation"
[ 17.626] compiled for 1.10.4, module version = 2.15.901
[ 17.626] Module class: X.Org Video Driver

Dans le tiens, ce devrait être nouveau. Tu peux voir les lignes contenant le mot "nouveau" avec la commande suivante :
$ fgrep nouveau /var/log/Xorg.0.log
Si tu te sens plus à l'aise avec un utilitaire graphique, tu peux aussi utiliser le "Visualisateur de journal" de GNOME.

Si c'est bien nouveau qui est chargé alors l'accélaration 3D n'est tout simplement pas prise en charge pour ta carte. Si tu dois prochainement acheter du matériel, choisis une machine avec un chipset graphique d'intel. Le support est excellent avec les pilotes libres qui sont développé par Intel (et non par rétro-ingénérie, une tâche très difficile à laquelle les développeurs de nouveau s’attellent sans la moindre aide de nVidia).

J'ai peur que le constat soit le même pour ton imprimante, c'est à dire qu'il n'existe pas de pilotes libres pour la faire fonctionner. Elle n'est pas même listée sur ce site. Là encore, si tu compte en changer opte pour une imprimante HP. Elles sont bien mieux supportées.

En fait le mieux pour acheter du matériel est de se tourner vers ThinkPenguin. Cette entreprise, qui propose la livraison dans le monde entier, ne vend que du matériel qui fonctionne parfaitement avec un système d'explotation GNU/Linux 100% libre (comme Trisquel). De plus, en passant par le lien suivant (où le mot "libre" est essentiel), 25% des bénéfices effectués sur tes achats sont reversés au projet Trisquel : http://libre.thinkpenguin.com

Mark
Offline
Joined: 04/14/2012

Merci de ta réponse. Je n'ai pas bien compris le passage avec la ligne de
commande. Pourrais-tu m'expliquer en détails ce que je dois taper dans le
terminal s'il te plais ? Merci.

Sinon, pour l'achat d'un nouvel ordinateur, je serait obligé de prendre une
carte graphique car j'utilise très très souvent Blender (logiciel libre de
création 3D voir le [[http://www.blender.org/|site officiel de Blender]].

J'uitlise un moteur de rendu très récent de Blender : Cycles. Il fait du
rendu en temps réél et demande une bonne carte graphique.
Je ne pense pas qu'un chipser Intel HD intégré soit la meilleure chose car
je suis très souvent amené à utiliser des textures de grande taille et de
grandes résolution.

Par ailleurs, ça me plairais de faire d'une pierre deux coups en achetant
sur ce site. Mais je ne peux pas payer par Internet car je n'ai pas de carte
bancaire (je suis étudiant). De plus l'Anglais me pose tout de même
quelques soucis.
Sans compter que le paiement doit se faire en $ alors que notre monnée (chez
nous) est en €.

(D'autant plus que je pense faire un dual boot avec windows XP pour utiliser
mes jeux vidéo qui sont au nombre de 4. Quand j'été dans le système du
privateur, j'ai acheté ces jeux donc je souhaite tout de même les
utiliser.)

Cela m'embête assez de ne pas pouvoir installer de driver car j'ai des
problèmes d'affichage sur une page web (ça rame). J'aime vraiment Trisquel
et l'utilisation de Gimp sur Trisquel, c'est très sympa car Gimp est plus
rapide que sous Windows donc ça m'embête d'être inhibé par des drivers.

Magic Banana

I am a member!

Online
Joined: 07/24/2010

Techniquement, rien ne t'empêche d'installer des pilotes privateurs. C'est même facile. Mais ce n'est pas sur ce forum que tu trouveras de l'"aide" car nous estimons qu'installer du logiciel privateur n'est jamais une aide.

La ligne de commande que je t'ai indiquée est à entrer telle qu'elle (moins le "$" au début qui est l'"invite de commande") dans un terminal (que tu peux chercher dans le menu ou obtenir plus rapidement en tapant Ctrl + Alt + T). Cette commande renverra toutes les lignes de /var/log/Xorg.0.log qui contiennent "nouveau". Cela te servirait à vérifier que c'est bien ce pilote qui est utilisé (et non le pilote générique "vesa" par exemple). Mais, encore une fois, tu peux aussi utiliser le "Visualisateur de Journal" de GNOME (dans le menu Système/Administration... mais maintenant que j'utilise GNOME 3 je n'en suis plus certain).

ThinkPenguin propose depuis peu une carte nVidia qui fonctionne très bien avec Trisquel 5.5 Brigantia : la GeForce 9500GT 1GB PCI Express 2.0. Elle est dans la section "Accessories & Other Products" du "Shop". Je te remets l'adresse qui permet au projet Trisquel de récupérer 25% des bénéfices : http://libre.thinkpenguin.com

Si tes difficultés en anglais ne sont pas insurmontables (ou si une traduction automatique n'est pas trop mauvaise), tu peux lire dans ce thread l'annonce de la disponibilité de cette carte sur ThinkPenguin. Cris dirige ThinkPenguin et je te propose de le contacter depuis ce formulaire pour les problèmes d'ordre pratique (je suppose toutefois que la devise n'en ai vraiment pas un : les banques font les conversions). Je peux t'aider avec l'anglais (propose un message et je te le corrigerai).

Mark
Offline
Joined: 04/14/2012

Désolé du retard de ma réponse mais j'ai pas mal été prit des dernier
jours !!

Je viens d'entrer la commande que tu me conseil, j'ai obtenu ça :

$ fgrep nouveau /var/log/Xorg.0.log

[ 15.260] (==) Matched nouveau as autoconfigured driver 1
[ 15.285] (II) LoadModule : "nouveau"
[ 15.285] (II) Loading /usr/lib/xorg/modules/drivers/nouveau_drv.so
[ 15.285] (II) Module nouveau: vendor="X.Org Foundation"
[ 15.289] (II) [drm] nouveau interface version: 0.0.16
[ 15.290] (II) Loading /urs/lib/xorg/modules/drivers/nouveau_drv.so
[ 15.752] (II) NOUVEAU(0): [DRI2] DRI driver : nouveau
[ 15.783] (II) AIGLX: Trying DRI driver
/usr/lib/i386-linux-gnu/dri/nouveau_dri.so
[ 15.844] (II) AIGLX: Loaded and initialized nouveau

Malheureusement ce langage n'est pas encore le miens donc je ne comprend pas
grand chose !!
Quelqu'un peux m'expliquer ce qu'essaye de me dire Trisquel ? Merci beaucoup
!

Mark.

Magic Banana

I am a member!

Online
Joined: 07/24/2010

Cela signifie tout simplement que c'est bien le pilote "nouveau" qui est chargé. Tu as donc bien la meilleure exploitation possible de ta carte graphique avec des pilotes libres.

Si tu veux savoir simplement si l'accélération 3D est disponible, tu peux exécuter cette commande :
$ glxinfo | fgrep rendering

Si la réponse est non, alors aucun pilote libre n'est, pour le moment, capable d'accélération 3D avec ta carte.

Mark
Offline
Joined: 04/14/2012

Merci de ta réponse. Je n'ai pas bien compris le passage avec la ligne de commande. Pourrais-tu m'expliquer en détails ce que je dois taper dans le terminal s'il te plais ? Merci.

Sinon, pour l'achat d'un nouvel ordinateur, je serait obligé de prendre une carte graphique car j'utilise très très souvent Blender (logiciel libre de création 3D voir le site officiel de Blender.

J'uitlise un moteur de rendu très récent de Blender : Cycles. Il fait du rendu en temps réél et demande une bonne carte graphique. Je ne pense pas qu'un chipser Intel HD intégré soit la meilleure chose car je suis très souvent amené à utiliser des textures de grande taille et de grandes résolution.

Par ailleurs, ça me plairais de faire d'une pierre deux coups en achetant sur ce site. Mais je ne peux pas payer par Internet car je n'ai pas de carte bancaire (je suis étudiant). De plus l'Anglais me pose tout de même quelques soucis. Sans compter que le paiement doit se faire en $ alors que notre monnée (chez nous) est en €.

(D'autant plus que je pense faire un dual boot avec windows XP pour utiliser mes jeux vidéo qui sont au nombre de 4. Quand j'été dans le système du privateur, j'ai acheté ces jeux donc je souhaite tout de même les utiliser.)

Cela m'embête assez de ne pas pouvoir installer de driver car j'ai des problèmes d'affichage sur une page web (ça rame). J'aime vraiment Trisquel et l'utilisation de Gimp sur Trisquel, c'est très sympa car Gimp est plus rapide que sous Windows donc ça m'embête d'être inhibé par des drivers.

Magic Banana

I am a member!

Online
Joined: 07/24/2010

Techniquement, rien ne t'empêche d'installer des pilotes privateurs. C'est
même facile. Mais ce n'est pas sur ce forum que tu trouveras de l'"aide" car
nous estimons qu'installer du logiciel privateur n'est jamais une aide.

La ligne de commande que je t'ai indiquée est à entrer telle qu'elle (moins
le "$" au début qui est l'"invite de commande") dans un terminal (que tu
peux chercher dans le menu ou obtenir plus rapidement en tapant Ctrl + Alt +
T). Cette commande renverra toutes les lignes de /var/log/Xorg.0.log qui
contiennent "nouveau". Cela te servirait à vérifier que c'est bien ce
pilote qui est utilisé (et non le pilote générique "vesa" par exemple).
Mais, encore une fois, tu peux aussi utiliser le "Visualisateur de Journal"
de GNOME (dans le menu Système/Administration... mais maintenant que
j'utilise GNOME 3 je n'en suis plus certain).

ThinkPenguin propose depuis peu une carte nVidia qui fonctionne très bien
avec Trisquel 5.5 Brigantia : la GeForce 9500GT 1GB PCI Express 2.0. Elle est
dans la section "Accessories & Other Products" du "Shop". Je te remets
l'adresse qui permet au projet Trisquel de récupérer 25% des bénéfices :
http://libre.thinkpenguin.com

Si tes difficultés en anglais ne sont pas insurmontables (ou si une
traduction automatique n'est pas trop mauvaise), tu peux lire dans ce thread
l'annonce de la disponibilité de cette carte sur ThinkPenguin. Cris dirige
ThinkPenguin et je te propose de le contacter depuis ce formulaire pour les
problèmes d'ordre pratique (je suppose toutefois que la devise n'en ai
vraiment pas un : les banques font les conversions). Je peux t'aider avec
l'anglais (propose un message et je te le corrigerai).

Mark
Offline
Joined: 04/14/2012

Désolé du retard de ma réponse mais j'ai pas mal été prit des dernier jours !!

Je viens d'entrer la commande que tu me conseil, j'ai obtenu ça :

$ fgrep nouveau /var/log/Xorg.0.log

[ 15.260] (==) Matched nouveau as autoconfigured driver 1
[ 15.285] (II) LoadModule : "nouveau"
[ 15.285] (II) Loading /usr/lib/xorg/modules/drivers/nouveau_drv.so
[ 15.285] (II) Module nouveau: vendor="X.Org Foundation"
[ 15.289] (II) [drm] nouveau interface version: 0.0.16
[ 15.290] (II) Loading /urs/lib/xorg/modules/drivers/nouveau_drv.so
[ 15.752] (II) NOUVEAU(0): [DRI2] DRI driver : nouveau
[ 15.783] (II) AIGLX: Trying DRI driver /usr/lib/i386-linux-gnu/dri/nouveau_dri.so
[ 15.844] (II) AIGLX: Loaded and initialized nouveau

Malheureusement ce langage n'est pas encore le miens donc je ne comprend pas grand chose !!
Quelqu'un peux m'expliquer ce qu'essaye de me dire Trisquel ? Merci beaucoup !

Mark.

Magic Banana

I am a member!

Online
Joined: 07/24/2010

Cela signifie tout simplement que c'est bien le pilote "nouveau" qui est
chargé. Tu as donc bien la meilleure exploitation possible de ta carte
graphique avec des pilotes libres.

Si tu veux savoir simplement si l'accélération 3D est disponible, tu peux
exécuter cette commande :
$ glxinfo | fgrep rendering

Si la réponse est non, alors aucun pilote libre n'est, pour le moment,
capable d'accélération 3D avec ta carte.